# POST /me URL: https://developers.vsee.io/api/user-api/post/me operationId: updateMe Auth: User Token — Requires a user access token from login or SSO. Update current user profile Update the profile of the currently authenticated user. Parameters: - X-ApiToken (header, string, required) — API token Request body (application/x-www-form-urlencoded): - first_name (string, optional) - last_name (string, optional) - password (string, optional) — Send alone for first-time password set, or with old_password to change it - old_password (string, optional) — Required when changing password - dob (string, optional) — Date of birth (YYYY-MM-DD) - gender (string, optional) [enum: male, female] - nationality (string, optional) - tos (integer, optional) — 0 - not accepted, 1 - accepted Terms of Service [enum: 0, 1] - phone (string, optional) - street_addr (string, optional) - state (string, optional) — 2-letter state code - zip (string, optional) - city (string, optional) - pcp_name (string, optional) — Primary Care Physician Name - pcp_phone (string, optional) — Primary Care Physician Phone (10 digits) - timezone (string, optional) — Timezone string (e.g. `America/New_York`, `Asia/Tokyo`) - photo (string, optional) — File ID from POST /files API. Pass empty string to delete avatar. Example request: ```json { "password": "example_password", "dob": "1983-10-02", "nationality": "Vietnamese" } ``` Responses: - 200 — Successful update ```json { "data": { "id": "201", "first_name": "An", "last_name": "Nguyen", "username": "member-201", "dob": "1983-10-02", "email": "an+user1@vsee.com", "gender": 2, "active": true, "nationality": "Vietnamese", "tos": true } } ``` - 400 — Bad Request ```json { "code": 404, "message": "Sorry, this page is not available." } ``` - 401 — Unauthorized ```json { "code": 404, "message": "Sorry, this page is not available." } ```